RM(1)

BEZEICHNUNG
rm - Dateien oder Verzeichnisse entfernen

ÜBERSICHT
rm [OPTION]… DATEI…

BESCHREIBUNG
Diese Handbuchseite dokumentiert die GNU-Version von rm. rm entfernt jede angegebene Datei. Standardmäßig entfernt es keine Verzeichnisse.

Falls die Option -I oder --interactive=once angegeben ist und es mehr als drei Dateien gibt oder -r, -R oder --recursive angegeben sind, dann fragt rm den Anwender, ob er mit der Operation fortfahren möchte. Falls die Antwort nicht bestätigend ist, wird der ganze Befehl abgebrochen.

Anderenfalls fragt rm den Anwender, ob die Datei entfernt werden soll, falls diese nicht schreibbar ist, die Standardeingabe ein Terminal ist und die Option -f oder --force nicht angegeben ist oder die Option -i oder --interactive=always nicht angegeben ist. Falls die Antwort nicht bestätigend ist, wird die Datei übersprungen.

OPTIONEN

Entfernen (unlink) der DATEI(en).

-f, --force
    Nicht vorhandene Dateien und Argumente ignorieren, nie nachfragen

-i  Vor jeder Entfernung nachfragen

-I  Einmal nachfragen, wenn mehr als drei Dateien entfernt werden sollen oder beim rekursiven Entfernen. Weniger aufdringlich als -i, schützt aber vor den meisten Fehlern.

--interactive[=WANN]
    Nachfragen WANN: »never« (nie), »once« (-I) (einmal) oder »always« (-i) (immer). Ohne WANN: Immer

--one-file-system
    Beim rekursiven Entfernen einer Verzeichnishierarchie die Verzeichnisse überspringen, die sich auf einem anderen Dateisystem als das entsprechende Befehlszeilenargument befinden.

--no-preserve-root
    »/« nicht besonders behandeln

--preserve-root[=all]
    »/« nicht entfernen (Vorgabe); mit »all« wird jedes Befehlszeilenargument verworfen, dessen übergeordnetes Verzeichnis auf einem anderen Gerät liegt.

-r, -R, --recursive
    Verzeichnisse und ihre Inhalte rekursiv entfernen

-d, --dir
    Leere Verzeichnisse entfernen

-v, --verbose
    Durchgeführte Tätigkeiten erklären

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Standardmäßig entfernt rm keine Verzeichnisse. Bei Benutzung der Option --recursive (-r oder -R) wird jedes aufgeführte Verzeichnis inklusive seiner Inhalte entfernt.

Jeder Versuch, eine Datei zu entfernen, deren letzte Komponente ».« oder »..« ist, wird mit einer Diagnosemeldung zurückgewiesen.

Um Dateien zu entfernen, deren Namen mit »-« beginnen, z. B. »-foo«, verwenden Sie einen dieser Befehle:

    rm -- -foo

    rm ./-foo

Es könnte mit ausreichendem Sachverstand und/oder Zeit möglich sein, Teile des Inhalts einer Datei wiederherzustellen, wenn Sie rm zum Entfernen benutzen. Wenn Sie sichergehen wollen, dass die Inhalte nicht mehr herstellbar sind, sollten Sie erwägen, shred(1) zu benutzen.

AUTOR
Geschrieben von Paul Rubin, David MacKenzie, Richard M. Stallman und Jim Meyering.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
unlink(1), unlink(2), chattr(1), shred(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/rm>
oder lokal verfügbar mit: info '(coreutils) rm invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de>, Mario Blättermann <mario.blaettermann@gmail.com>, Florian Rehnisch <fr@fm-r.eu> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.